Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Newer
Older
100644 27 lines (25 sloc) 0.591 kb
a1f16a7 @nashby update rails 3.2 to release
nashby authored
1 before_install: gem update --system
3fc2190 Add a basic .travis.yml file
beawesomeinstead authored
2 rvm:
3 - 1.8.7
2bb0234 @joshk Now that formtastic is green, why not add some more rubies! :)
joshk authored
4 - ree
b66cb77 @justinfrench Remove coverage requirement for 1.9.2 & 1.9.3, add back to Travis.
authored
5 - 1.9.2
6 - 1.9.3
4145374 @twalpole Update build matrix to not test ruby 1.8.7 and ree with rails 4 (edge)
twalpole authored
7 gemfile:
8 - gemfiles/rails-3.0.gemfile
9 - gemfiles/rails-3.1.gemfile
10 - gemfiles/rails-3.2.gemfile
11 - gemfiles/rails-4.gemfile
ac48a50 @justinfrench set DEFER_GC=false env for Travis CI
authored
12 env:
e357a03 @justinfrench RAILS_EDGE=true is not a separate part of the CI matrix
authored
13 - DEFER_GC=false RAILS_EDGE=true
4145374 @twalpole Update build matrix to not test ruby 1.8.7 and ree with rails 4 (edge)
twalpole authored
14 script: "rake spec"
15 matrix:
16 exclude:
17 - rvm: 1.8.7
18 gemfile: gemfiles/rails-4.gemfile
e357a03 @justinfrench RAILS_EDGE=true is not a separate part of the CI matrix
authored
19 env: DEFER_GC=false RAILS_EDGE=true
4145374 @twalpole Update build matrix to not test ruby 1.8.7 and ree with rails 4 (edge)
twalpole authored
20 - rvm: ree
21 gemfile: gemfiles/rails-4.gemfile
e357a03 @justinfrench RAILS_EDGE=true is not a separate part of the CI matrix
authored
22 env: DEFER_GC=false RAILS_EDGE=true
4d7c0ad @twalpole rails edge requires 1.9.3 so exclude testing with 1.9.2
twalpole authored
23 - rvm: 1.9.2
24 gemfile: gemfiles/rails-4.gemfile
e357a03 @justinfrench RAILS_EDGE=true is not a separate part of the CI matrix
authored
25 env: DEFER_GC=false RAILS_EDGE=true
4d7c0ad @twalpole rails edge requires 1.9.3 so exclude testing with 1.9.2
twalpole authored
26
Something went wrong with that request. Please try again.